Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Firefox, Durckvorschau - Crash!
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Thu Jul 22, 2010 2:58 am    Post subject: Firefox, Durckvorschau - Crash! Reply with quote

Hallo,

zuerst dachte ich es liegt am Drucker oder an der Sache mit der libpng. Dann habe ich sowohl Cups, firefox als auch revdep-rebuild durchlaufen lassen bis keine Fehler mehr auftaten.

Doch das Problem ist geblieben.

Ich habe es auch nur ein einem Gentoo-Rechner und nicht auf einem weiteren. Allerdings weiß ich nicht mehr wonach ich Ausschau halten könnte. Das einzige was ich Reproduzieren kann ist der sofortige Absturz vom Firefox. Es gibt auch keine Fehlermeldung wenn ich Firefox aus einem Terminal starte. Andere Programme können Drucken und an der Seite liegt es auch nicht. Opera erstellt eine Seitenansicht und druckt es.

Es tritt sowohl auf, wenn Firefox das kleine Drucker(auswahl)-Fenster öffnet, als auch wenn die Seitenansicht erzeugt werden sollte.

Grüße

Chris
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Thu Jul 22, 2010 1:41 pm    Post subject: Reply with quote

Hi Chris

Beachte das der eigentliche "Unterbau" von Firefox xulrunner ist, daher würde ich vorschlagen zuerst xulrunner dann mozilla-firefox (und dann evtl. installierte Plugins) noch mal neu zu bauen.

Falls das noch nichts bring, was für Versionen verwendest du denn von cups und mozilla-firefox ?

/edit:
Ups..., ich bin grad drüber gestolpert das FF hier ebenso weg rauscht wenn die Druckvorschau angezeigt werden soll :?
ich weiss aber nicht seit wann das schon so sein könnte da ich nur sehr selten aus FF drucke...

Versionen sind hier
xulrunner-1.9.2.7
mozilla-firefox-3.6.7 (grad gestern frisch gebaut)
cups-1.4.4
~x86
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Thu Jul 22, 2010 3:18 pm    Post subject: Reply with quote

Hier eine von mir gekürzte Ausgabe von eix:

Code:
[I] www-client/mozilla-firefox
     Available versions:  [m]2.0.0.19 3.5.8 3.6.4 (~)3.6.6 3.6.7 {...}
     Installed versions:  3.6.7(16:13:54 22.07.2010)(alsa dbus gnome ipc java libnotify linguas_de linguas_en startup-notification .....)
     Homepage:            http://www.mozilla.com/firefox
     Description:         Firefox Web Browser


Code:
[I] net-libs/xulrunner
     Available versions:  (1.9) *1.9.0.11-r1 1.9.0.14 1.9.1.6 1.9.1.8 1.9.2.4 (~)1.9.2.6 1.9.2.7
   {+alsa custom-optimization dbus debug elibc_FreeBSD gnome +ipc java libnotify python sqlite startup-notification system-sqlite wifi}
     Installed versions:  1.9.2.7(1.9)(15:42:10 22.07.2010)(alsa dbus gnome ipc java libnotify startup-notification -custom-optimization -debug -elibc_FreeBSD -system-sqlite -wifi)
     Homepage:            http://developer.mozilla.org/en/docs/XULRunner
    Mozilla runtime package that can be used to bootstrap XUL+XPCOM applications


Code:
net-print/cups
     Available versions:  1.3.11-r1!t 1.3.11-r2!t (~)1.4.4!t {X acl avahi dbus debug gnutls java (+)jpeg kerberos ldap linguas_da linguas_de linguas_en linguas_es linguas_et linguas_eu linguas_fi linguas_fr linguas_he linguas_id linguas_it linguas_ja linguas_ko linguas_nl linguas_no linguas_pl linguas_pt linguas_pt_BR linguas_ru linguas_sv linguas_zh linguas_zh_TW pam perl php (+)png ppds python samba slp (+)ssl static (+)tiff +usb xinetd zeroconf}
     Installed versions:  1.4.4!t(21:05:00 21.07.2010)(X acl dbus java jpeg linguas_de pam perl png python samba ssl tiff usb -debug -gnutls -kerberos -ldap -linguas_da -linguas_es -linguas_eu -linguas_fi -linguas_fr -linguas_id -linguas_it -linguas_ja -linguas_ko -linguas_nl -linguas_no -linguas_pl -linguas_pt -linguas_pt_BR -linguas_ru -linguas_sv -linguas_zh -linguas_zh_TW -php -slp -static -xinetd)
     Homepage:            http://www.cups.org/
     Description:         The Common Unix Printing System


Habe eben auch schon cairo, pongo und gtk+ neugebaut. Weil ich dachte das ein Problem bei der gtk-Druck-Vorschau liegt. Aber der Fehler tritt immer noch auf. Auch ein Update auf die neue Firefox-Version 3.6.7 brachte keinen Erfolg.

An Plugins habe ich nur den gecko-mediaplayer als auch adobe-flash installiert und soeben neu gebaut. mal schauen ob das was brachte. Ich deaktiviere nacher mal diese Personas-Oberfläche und entferne die Plugins (flashblock..usw) schritt für Schritt. mal schauen ob es etwas bringt.

P.s.: Drucken aus einem anderen gtk-Programm wie evince funktioniert auch anstandslos, nur der Feuerfuchs will nicht. Das Problem betrifft auch andere User auf dem System.

P.p.s: Auf meinem reinen x86_64 System funktioniert es, mein Sorgenkind ist ein ~x86 System auf einer x86_64-Architektur.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Thu Jul 22, 2010 3:32 pm    Post subject: Reply with quote

Ich bin mir nicht sicher ob du mein /edit im letzten Beitrag noch mitbekommen hattest da er recht zeitgleich mit deinem Beitrag kam.

Jo, hier ist es auch ein aktuelles ~x86 System auf einer x86_64-Architektur.
Hab FF grad mal im abgesicherten Modus von der Shell gestartet und bin dann nach dem erfolgreichen starten auf die Druckvorschau gegangen, die Ausgabe war nur:
Code:
$ firefox -safe-mode
Speicherzugriffsfehler

Also sollte es nicht an irgendwelchen dubiosen Plugins liegen...
Hmm...
Back to top
View user's profile Send private message
ChrisJumper
Advocate
Advocate


Joined: 12 Mar 2005
Posts: 2225
Location: Germany

PostPosted: Thu Jul 22, 2010 4:22 pm    Post subject: Reply with quote

Ja genauso ist das hier auch, nur das ich nicht einmal den String "Speicherzugriffsfehler" auf der Konsole bekomme. Hab eben mal das Firefox-Binäry (firefox-bin-3.6.7) ausprobiert. Aber mit dem selben Ergebnis. Nur das dort eine Message-Box erscheint die sich entschuldigt und mit der man eine Fehlermeldung einsenden kann. Oh... ich hab jetzt allerdings nicht darauf geachtet ob dort eine (ausführlichere Fehlerbeschreibung) Angehängt ist. Aber ich denke es handelt sich auch nur um die Standard-Nachrichten-Box zum ausfüllen (Was hat zu dem Absturz geführt?... etc.).

Edit:
Also es gibt einen Bug der dieses Problem beschreibt: cups-1.4.4 causes Firefox 3.6.4 to Crash in print dialog

Das erklärt auch warum es auf meinem x86_64 System funktioniert, dort habe ich noch eine alte Version von Cups ich muss das mal ändern. Thunderbird ist von diesem Problem auch betroffen.
Back to top
View user's profile Send private message
Dr. Strangelove
Tux's lil' helper
Tux's lil' helper


Joined: 01 May 2006
Posts: 104
Location: Germania

PostPosted: Thu Jul 22, 2010 5:55 pm    Post subject: Reply with quote

ChrisJumper wrote:

Edit:
Also es gibt einen Bug der dieses Problem beschreibt: cups-1.4.4 causes Firefox 3.6.4 to Crash in print dialog

Jawoll das ist es. Hab hier das gleiche Problem festgestellt, Firefox ab 3.6.4 + Thunderbird crashen mit Cups-1.4.4.
Hilft eben nur, wie im Kommentar #12 des Bug-Reports beschrieben, ein Downgrade auf Cups-1.4.3.
Schade, dass diese Version mit Erscheinen von Cups-1.4.4 sogleich zurückgezogen wurde (aus Portage).
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Thu Jul 22, 2010 6:32 pm    Post subject: Reply with quote

labor_ratte wrote:
ChrisJumper wrote:

Edit:
Also es gibt einen Bug der dieses Problem beschreibt: cups-1.4.4 causes Firefox 3.6.4 to Crash in print dialog

Jawoll das ist es. Hab hier das gleiche Problem festgestellt, Firefox ab 3.6.4 + Thunderbird crashen mit Cups-1.4.4.
Hilft eben nur, wie im Kommentar #12 des Bug-Reports beschrieben, ein Downgrade auf Cups-1.4.3.
Schade, dass diese Version mit Erscheinen von Cups-1.4.4 sogleich zurückgezogen wurde (aus Portage).


ach ja ???

hideattic=0 ;)

alternativ mit:

-fno-strict-overflow

einmal versuchen
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Thu Jul 22, 2010 7:29 pm    Post subject: Reply with quote

Jo, zunächst auf cups-1.4.3 runterzugehen hat hier geholfen.

Ich hab dieses cups-1.4.3.ebuild , mitsamt dem /usr/portage/net-print/cups/files Verzeichnis in ein locales Overlay gepackt
=net-print/cups-1.4.4 maskiert
/etc/init.d/cupsd gestoppt
cups (1.4.3) merged
/etc/init.d/cupsd gestartet
Drucker in http://localhost:631/ gelöscht und wieder neu hinzugefügt (ja es war nötig)
und nun funkt das drucken auch wieder aus thunderbird und FF
:)
Dankeschön an alle für die Infos!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum